/*
 * Check Mbed revision
 *
 * Copyright (c) 2020,'21 Kenji Arai / JH1PJL
 *  http://www7b.biglobe.ne.jp/~kenjia/
 *  https://os.mbed.com/users/kenjiArai/
 *      Created:    May       12th, 2020
 *      Revised:    March     30th, 2021
 */
#include "mbed.h"

//    RUN ONLY ON mbed-os-6.8.0 or 6.9.0
//      https://github.com/ARMmbed/mbed-os/releases/tag/mbed-os-6.9.0
#if (MBED_MAJOR_VERSION == 6) &&\
    ((MBED_MINOR_VERSION == 8) ||  (MBED_MINOR_VERSION == 9))&&\
    (MBED_PATCH_VERSION == 0)
//    RUN ONLY ON mbed-os-5.15.3
//      https://github.com/ARMmbed/mbed-os/releases/tag/mbed-os-5.15.3
#elif (MBED_MAJOR_VERSION == 5) &&\
    (MBED_MINOR_VERSION == 15) &&\
    (MBED_PATCH_VERSION == 3)
#elif (MBED_MAJOR_VERSION == 2) &&\
    (MBED_MINOR_VERSION == 0) &&\
    (MBED_PATCH_VERSION == 162)
#else
    #error "Please use mbed-os-5.15.3 or mbed-os-2.162 or os-6.8.0/6.9.0!"
#endif
